<?php
namespace Datec\DatecBooking\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * @package datec_booking
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class Reservation extends AbstractEntity {
	
	/**
	 * @var string
	 */
	protected $crdate;
	
	/**
	 * @var \Datec\DatecBooking\Domain\Model\Resource
	 */
	protected $resource;
	
	/**
	 * @var \Datec\DatecContact\Domain\Model\Contact
	 */
	protected $contact;
	
	/**
	 * @var string
	 */
	protected $occupancyFrom;
	
	/**
	 * @var string
	 */
	protected $occupancyTo;
	
	/**
	 * @var string
	 */
	protected $text;
	
	/**
	 * @var boolean
	 */
	protected $confirmed = TRUE;
	
	/**
	 * @var string
	 */
	protected $billStreet;
	
	/**
	 * @var string
	 */
	protected $billZip;
	
	/**
	 * @var string
	 */
	protected $billCity;

	/**
	 * @return string
	 */
	public function getCrdate() {
		return $this->crdate;
	}
	
	/**
	 * @param string $crdate
	 * @return void
	 */
	public function setCrdate($crdate) {
		$this->crdate = $crdate;
	}
	
	/**
	 * @return \Datec\DatecBooking\Domain\Model\Resource
	 */
	public function getResource() {
		return $this->resource;
	}
	
	/**
	 * @param $resource \Datec\DatecBooking\Domain\Model\Resource
	 * @return void
	 */
	public function setResource($resource) {
		$this->resource = $resource;
	}
	
	/**
	 * @return \Datec\DatecContact\Domain\Model\Contact
	 */
	public function getContact() {
		return $this->contact;
	}
	
	/**
	 * @param $contact \Datec\DatecContact\Domain\Model\Contact
	 * @return void
	 */
	public function setContact($contact) {
		$this->contact = $contact;
	}
	
	/**
	 * @return string
	 */
	public function getOccupancyFrom() {
		return $this->occupancyFrom;
	}
	
	/**
	 * @param string $occupancyFrom
	 * @return void
	 */
	public function setOccupancyFrom($occupancyFrom) {
		$this->occupancyFrom = $occupancyFrom;
	}
	
	/**
	 * @return string
	 */
	public function getOccupancyTo() {
		return $this->occupancyTo;
	}
	
	/**
	 * @param string $occupancyTo
	 * @return void
	 */
	public function setOccupancyTo($occupancyTo) {
		$this->occupancyTo = $occupancyTo;
	}
	
	/**
	 * @return string
	 */
	public function getText() {
		return $this->text;
	}
	
	/**
	 * @param $text string
	 * @return void
	 */
	public function setText($text) {
		$this->text = $text;
	}
	
	/**
	 * @return boolean
	 */
	public function isConfirmed() {
		return $this->confirmed;
	}
	
	/**
	 * @param $confirmed boolean
	 * @return void
	 */
	public function setConfirmed($confirmed) {
		$this->confirmed = $confirmed;
	}
	
	/**
	 * @return string
	 */
	public function getBillStreet() {
		return $this->billStreet;
	}
	
	/**
	 * @param $billStreet string
	 * @return void
	 */
	public function setBillStreet($billStreet) {
		$this->billStreet = $billStreet;
	}
	
	/**
	 * @return string
	 */
	public function getBillZip() {
		return $this->billZip;
	}
	
	/**
	 * @param $billZip string
	 * @return void
	 */
	public function setBillZip($billZip) {
		$this->billZip = $billZip;
	}
	
	/**
	 * @return string
	 */
	public function getBillCity() {
		return $this->billCity;
	}
	
	/**
	 * @param $billCity string
	 * @return void
	 */
	public function setBillCity($billCity) {
		$this->billCity = $billCity;
	}
	
}