<?php
namespace Datec\DatecBooking\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * @package datec_booking
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class Resource extends AbstractEntity {
	
	/**
	 * @var string
	 * @validate notEmpty
	 */
	protected $name;
	
	/**
	 * @var string
	 */
	protected $text;
	
	/**
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Datec\DatecBooking\Domain\Model\Page>
	 */
	protected $pages;
	
	/**
	 * @var boolean
	 */
	protected $autoConfirmReservations = TRUE;
	
	/**
	 * @var string
	 */
	protected $starttime;
	
	/**
	 * @var string
	 */
	protected $endtime;
	
	public function __construct() {
		$this->pages = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
	}
	
	/**
	 * @return string
	 */
	public function getName() {
		return $this->name;
	}
	
	/**
	 * @param $name string
	 * @return void
	 */
	public function setName($name) {
		$this->name = $name;
	}
	
	/**
	 * @return string
	 */
	public function getText() {
		return $this->text;
	}
	
	/**
	 * @param $text string
	 * @return void
	 */
	public function setText($text) {
		$this->text = $text;
	}
	
	/**
	 * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Datec\DatecBooking\Domain\Model\Page>
	 */
	public function getPages() {
		return $this->pages;
	}
	
	/**
	 * @param $pages \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Datec\DatecBooking\Domain\Model\Page>
	 * @return void
	 */
	public function setPages($pages) {
		$this->pages = $pages;
	}
	
	/**
	 * @param \Datec\DatecBooking\Domain\Model\Page $page
	 * @return void
	 */
	public function addPage($page) {
		$this->pages->attach($page);
	}
	
	/**
	 * @param \Datec\DatecBooking\Domain\Model\Page $page
	 * @return void
	 */
	public function removePage($page) {
		$this->pages->detach($page);
	}	
	
	/**
	 * @return boolean
	 */
	public function isAutoConfirmReservations() {
		return $this->autoConfirmReservations;
	}
	
	/**
	 * @param $autoConfirmReservations boolean
	 * @return void
	 */
	public function setAutoConfirmReservations($autoConfirmReservations) {
		$this->autoConfirmReservations = $autoConfirmReservations;
	}
	
	/**
	 * @param string $starttime
	 * @return void
	 */
	public function setStarttime($starttime) {
		$this->starttime = $starttime;
	}
	
	/**
	 * @return string
	 */
	public function getEndtime() {
		return $this->endtime;
	}

	/**
	 * @param string $endtime
	 * @return void
	 */
	public function setEndtime($endtime) {
		$this->endtime = $endtime;
	}
	
}