<?php
return [
	'ctrl' => [
		'title' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation',
		'label' => 'text',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'delete' => 'deleted',
		'enablecolumns' => [
			'disabled' => 'hidden',
		],
		'searchFields' => 'resource, contact, text, occupancy_from, occupancy_to, bill_street, bill_zip, bill_city',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('datec_booking') . 'Resources/Public/Icons/tx_datecbooking_domain_model_reservation.gif'
	],
	'interface' => [
		'showRecordFieldList' => 'resource, contact, text, crdate, occupancy_from, occupancy_to, bill_street, bill_zip, bill_city',
	],
	'types' => [
		'1' => ['showitem' => '
			--palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.general;general,
            	hidden,
				crdate,
				resource,
				contact,
				occupancy_from;LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation.occupancyFrom, occupancy_to;LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation.occupancyTo,
				text,
				bill_street,
				bill_zip,
				bill_city,
				confirmed,
		'],
	],
	'palettes' => [
		'1' => ['showitem' => ''],
	],
	'columns' => [
		'hidden' => [
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => [
				'type' => 'check',
			],
		],
		'crdate' => [
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.creationDate',
			'config' => [
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				],
			],
		],
		'resource' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation.resource',
			'config' => [
				'type' => 'select',
				'foreign_table' => 'tx_datecbooking_domain_model_resource',
				'foreign_table_where' => ' ORDER BY tx_datecbooking_domain_model_resource.uid',
				'foreign_label' => 'name,text',
				'size' => 1,
				'minitems' => 1,
				'maxitems' => 1,
				'eval' => 'required',
			],
		],
		'contact' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation.contact',
			'config' => [
				'type' => 'select',
				'foreign_table' => 'tx_dateccontact_domain_model_contact',
				'foreign_table_where' => ' ORDER BY tx_dateccontact_domain_model_contact.uid',
				'foreign_label' => 'email,username,name,last_name',
				'size' => 1,
				'minitems' => 1,
				'maxitems' => 1,
				'eval' => 'required',
			],
		],
		'occupancy_from' => [
			'exclude' => 0,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation.occupancyFrom',
			'config' => [
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
						'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				],
			],
		],
		'occupancy_to' => [
			'exclude' => 0,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation.occupancyTo',
			'config' => [
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
						'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				],
			],
		],
		'text' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation.text',
			'config' => [
				'type' => 'text',
				'cols' => 30,
				'rows' => 5,
			],
			'defaultExtras' => 'richtext[]:rte_transform[flag=rte_enabled|mode=ts_css]'
		],
		'bill_street' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation.billStreet',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			],
		],
		'bill_zip' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation.billZip',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			],
		],
		'bill_city' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation.billCity',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			],
		],
		'confirmed' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_reservation.confirmed',
			'config' => [
				'type' => 'check',
				'default' => true,	
			],
		],
	],
];