<?php
return [
	'ctrl' => [
		'title' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_resource',
		'label' => 'name',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => 1,
		'delete' => 'deleted',
		'enablecolumns' => [
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		],
		'sortby' => 'sorting',
		'searchFields' => 'name, text',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('datec_booking') . 'Resources/Public/Icons/tx_datecbooking_domain_model_resource.gif'
	],
	'interface' => [
		'showRecordFieldList' => 'name, text, pages, auto_confirm_reservations, sorting',
	],
	'types' => [
		'1' => ['showitem' => '
			--palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.general;general,
            	name,
                text;LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_resource.text;;richtext:rte_transform[flag=rte_enabled|mode=ts_css],                
				pages,
				auto_confirm_reservations,
            --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access,
            	hidden,
            	starttime;LLL:EXT:cms/locallang_ttc.xlf:starttime_formlabel, endtime;LLL:EXT:cms/locallang_ttc.xlf:endtime_formlabel,
		'],
	],
	'palettes' => [
		'1' => ['showitem' => ''],
	],
	'columns' => [
		'hidden' => [
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => [
				'type' => 'check',
			],
		],
		'crdate' => [
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.creationDate',
			'config' => [
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				],
			],
		],
		'starttime' => [
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => [
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				],
			],
		],
		'endtime' => [
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => [
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				],
			],
		],
		'name' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_resource.name',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			],
		],
		'text' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_resource.text',
			'config' => [
				'type' => 'text',
				'cols' => 30,
				'rows' => 5,
			],
			'defaultExtras' => 'richtext[]:rte_transform[flag=rte_enabled|mode=ts_css]'
		],
		'pages' => [
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_resource.pages',
			'config' => [
				'type' => 'group',
				'internal_type' => 'db',
				'allowed' => 'pages',
				'size' => 3,
				'maxitems' => 22,
				'minitems' => '0',
				'show_thumbs' => '1',
				'wizards' => [
					'suggest' => [
						'type' => 'suggest'
					]
				]
			]
		],
		'auto_confirm_reservations' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_booking/Resources/Private/Language/locallang.xlf:tx_datecbooking_domain_model_resource.autoConfirmReservations',
			'config' => [
				'type' => 'check',
				'default' => true,
			],
		],			
	],
];