var DatecBooking = {
	path: $(location).attr('href').split('?')[0], // base path for ajax requests
	pagetype: '1880', // pageNum for ajax requests
	pageId: $('#tx-datec-booking-pageId').val(), // pageId for ajax requests
	currentLangCode: 'de',
	listResources: function () {
		$('#tx-datec-booking-ajax-loader').show();
		$.ajax({
			async: true,
		    url: DatecBooking.path + '?id= ' + DatecBooking.pageId + '&tx_datecbooking_booking[controller]=Booking&tx_datecbooking_booking[action]=listResources&type=' + DatecBooking.pagetype,
		    success: function(result,status,xhr) {
			    $('#tx-datec-booking-resources').html(result);
		        $('#tx-datec-booking-ajax-loader').hide();
		        DatecBooking.initializeCalendars();
		    },
		    error: function(error) {
		        console.log(error);
		        alert("Es ist ein Fehler aufgetreten!");
		    }
		});
	},
	newReservationForm: function(resourceId) {
		$('.tx-datec-booking-resouce-reservationForm').empty(); // clear any other forms first
		$('#tx-datec-booking-ajax-loader').show();
		$.ajax({
			async: true,
		    url: DatecBooking.path + '?id= ' + DatecBooking.pageId + '&tx_datecbooking_booking[controller]=Booking&tx_datecbooking_booking[action]=newReservationForm&type=' + DatecBooking.pagetype + '&tx_datecbooking_booking[resourceId]=' + resourceId,
		    success: function(result,status,xhr) {
			    $('#tx-datec-booking-resource-'+resourceId+'-reservationForm').html(result);
		        $('#tx-datec-booking-ajax-loader').hide();
		        DatecBooking.validateFormFields();
		        $('html, body').animate({
		            scrollTop: $('#tx-datec-booking-resource-'+resourceId+'-reservationForm').offset().top
		        }, 2000);
		    },
		    error: function(error) {
		        console.log(error.responseText);
		        alert("Es ist ein Fehler aufgetreten!");
		    }
		});
	},
	createReservation: function() {
		var valid = $("#tx-datec-booking-reservationForm").valid();
	    if (valid) {
			$('#tx-datec-booking-ajax-loader').show();
			$('#tx-datec-booking-duplicant2').attr('value', $('#tx-datec-booking-duplicant1').val());
			formData = $('#tx-datec-booking-reservationForm').serialize();	
			$.ajax({
				async: true,
			    url: DatecBooking.path + '?id= ' + DatecBooking.pageId + '&tx_datecbooking_booking[controller]=Booking&tx_datecbooking_booking[action]=createReservation&type=' + DatecBooking.pagetype + '&tx_datecbooking_booking[formData]=' + formData,
			    success: function(result,status,xhr) {
				    $('#tx-datec-booking-info').html(result);
			        $('#tx-datec-booking-ajax-loader').hide();
			        $('html, body').animate({
			            scrollTop: $('#tx-datec-booking-info').offset().top
			        }, 2000);
			        setTimeout(function() {
			        	DatecBooking.listResources();
			        }, 5000);
			    },
			    error: function(error) {
			        console.log(error.responseText);
			        alert("Es ist ein Fehler aufgetreten!");
			    }
			});
	    }
	},
	initializeCalendars: function() {
		$('.tx-datec-booking-resource-calendars').each(function() {
			var resourceId = $(this).attr('id').split("-")[5];
			var events = $.parseJSON($('#tx-datec-booking-resource-'+resourceId+'-events').val());
			nm = moment($.now()).add(1, 'month').startOf('month');// moment for next month
			$('#tx-datec-booking-resource-calendar-'+resourceId+'-1').fullCalendar({
			    header: {
						left: 'prev,next today',
						center: 'title',
						right: ''
					},
			    lang: DatecBooking.currentLangCode,
			    weekNumbers: true,
			    events: events,
			    viewRender: function (view, element) {
		            var cur = view.intervalStart;
		            var d = moment(cur).add(1, 'month');
		            $('#tx-datec-booking-resource-calendar-'+resourceId+'-2').fullCalendar('gotoDate', d);
		        }
			});
			$('#tx-datec-booking-resource-calendar-'+resourceId+'-2').fullCalendar({
			    header: {
						left: '',
						center: 'title',
						right: ''
					},
			    lang: DatecBooking.currentLangCode,
			    weekNumbers: true,
			    events: events,
			    defaultDate: nm
			});
		});		
	},
	validateFormFields: function() {
		DatecTranslate.setLang($("#tx_datecbooking_booking[lang]").val());
		
		// reservation fields
		if ($("#tx-datec-booking-reservationForm").length) {
			$("#tx-datec-booking-reservationForm").validate();					
			
			if ($("#tx-datec-booking-reservation-occupancyFrom").length) {
			    $("#tx-datec-booking-reservation-occupancyFrom").rules("add", {
			        required: true,
			        date: true,
			        messages: {
			            required: DatecTranslate.getLanguageString("requireOccupancyFrom"),
			            date: DatecTranslate.getLanguageString("dateFormat")
			        }
			    });
			    $("#tx-datec-booking-reservation-occupancyFrom").datepicker();
			}	
			if ($("#tx-datec-booking-reservation-occupancyTo").length) {
			    $("#tx-datec-booking-reservation-occupancyTo").rules("add", {
			        required: true,
			        date: true,
			        messages: {
			            required: DatecTranslate.getLanguageString("requireOccupancyTo"),
			            date: DatecTranslate.getLanguageString("dateFormat")
			        }
			    });
			    $("#tx-datec-booking-reservation-occupancyTo").datepicker();
			}	
			if ($("#tx-datec-booking-reservation-billStreet").length) {
			    $("#tx-datec-booking-reservation-billStreet").rules("add", {
			        required: true,
			        messages: {
			            required: DatecTranslate.getLanguageString("requireBillStreet")
			        }
			    });
			}
			if ($("#tx-datec-booking-reservation-billZip").length) {
			    $("#tx-datec-booking-reservation-billZip").rules("add", {
			        required: true,
			        messages: {
			            required: DatecTranslate.getLanguageString("requireBillZip")
			        }
			    });
			}
			if ($("#tx-datec-booking-reservation-billCity").length) {
			    $("#tx-datec-booking-reservation-billCity").rules("add", {
			        required: true,
			        messages: {
			            required: DatecTranslate.getLanguageString("requireBillCity")
			        }
			    });
			}
		}
		// contact fields
		if ($("#tx-datec-contact-contact-username.required").length) {
		    $("#tx-datec-contact-contact-username.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireUsername")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-name.required").length) {
		    $("#tx-datec-contact-contact-name.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireUsername")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-firstName.required").length) {
		    $("#tx-datec-contact-contact-firstName.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireFirstname")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-middleName.required").length) {
		    $("#tx-datec-contact-contact-middleName.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireMiddleName")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-lastName.required").length) {
		    $("#tx-datec-contact-contact-lastName.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireLastname")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-address.required").length) {
		    $("#tx-datec-contact-contact-address.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireAdress")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-telephone.required").length) {
		    $("#tx-datec-contact-contact-telephone.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requirePhone")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-fax.required").length) {
		    $("#tx-datec-contact-contact-fax.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireFax")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-email.required").length) {
		    $("#tx-datec-contact-contact-email.required").rules("add", {
		        required: true,
		        email: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireEmail"),
		            email: DatecTranslate.getLanguageString("validEmail")
		        }
		    });
		} else if ($("#tx-datec-contact-contact-email").length) {
		    $("#tx-datec-contact-contact-email").rules("add", {
		        required: false,
		        email: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireEMail"),
		            email: DatecTranslate.getLanguageString("validEmail")
		        }
		    });				
		}
		if ($("#tx-datec-contact-contact-title.required").length) {
		    $("#tx-datec-contact-contact-title.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireTitle")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-zip.required").length) {
		    $("#tx-datec-contact-contact-zip.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireZip")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-city.required").length) {
		    $("#tx-datec-contact-contact-city.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireCity")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-country.required").length) {
		    $("#tx-datec-contact-contact-country.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireCountry")
		        }
		    });
		}
		if ($("#tx-datec-contact-contact-company.required").length) {
		    $("#tx-datec-contact-contact-company.required").rules("add", {
		        required: true,
		        messages: {
		            required: DatecTranslate.getLanguageString("requireFirma")
		        }
		    });
		}
		
	},
	setLang: function(lang) {
		$('#tx-datec-booking-ajax-loader').show();
		DatecBooking.currentLangCode = lang;
		
		$('.tx-datec-booking-resource-calendar').fullCalendar('destroy');		
		DatecBooking.initializeCalendars();		
		
		$.datepicker.setDefaults($.datepicker.regional[DatecBooking.currentLangCode]);
		if ($("#tx-datec-booking-reservation-occupancyFrom").length) {
			$("#tx-datec-booking-reservation-occupancyFrom").datepicker($.datepicker.regional[DatecBooking.currentLangCode]);
		}
		if ($("#tx-datec-booking-reservation-occupancyTo").length) {
			$("#tx-datec-booking-reservation-occupancyTo").datepicker($.datepicker.regional[DatecBooking.currentLangCode]);
		}
		$('#tx-datec-booking-ajax-loader').hide();
	}
};

var lang = {
	"de": {
		"dateFormat": "Bitte im Format (tt.mm.jjjj) angeben",
		"requireAdress": "Bitte geben Sie Ihre Stra&szlig;e an",
		"requireBillCity": "Bitte geben Sie den Ort der Rechnungsaddresse an",
		"requireBillStreet": "Bitte geben Sie die Stra&szlig;e der Rechnungsaddresse an",
		"requireBillZip": "Bitte geben Sie die Postleitzahl der Rechnungsaddresse an",
		"requireCity": "Bitte geben Sie Ihren Wohnort an",
		"requireCountry": "Bitte geben Sie Ihr Land an",
		"requireEmail": "Bitte geben Ihre E-Mail Adresse an",
		"requireFax": "Bitte geben Sie Ihre Faxnummer an",
		"requireFirma": "Bitte geben Sie Ihr Unternehmen an",
		"requireFirstname": "Bitte geben Sie Ihren Vornamen an",
		"requireLastname": "Bitte geben Sie Ihren Nachnamen an",
		"requireMiddleName": "Bitte geben Sie Ihren Mittelnamen an",
		"requireOccupancyFrom": "Bitte geben Sie das Datum (Beginn) Ihrer Reservierung an",
		"requireOccupancyTo": "Bitte geben Sie das Datum (Ende) Ihrer Reservierung an",
		"requirePhone": "Bitte geben Sie Ihre Telefonnummer an",
		"requireTitle": "Bitte geben Sie Ihren Titel an",
		"requireUsername": "Bitte geben Sie Ihren Benutzernamen an",
		"requireZip": "Bitte geben Sie Ihre PLZ an",
		"validEmail": "Bitte geben sie eine g&uuml;ltige E-Mail Adresse an"
		
	}
};

$().ready(function() {
	$.validator.addMethod("date", function(value) {
		if (value !== "") {
			var array = value.split('.');
			if (array.length !== 3) {
				return false;
			} else if (array[0].length !== 2 || !($.isNumeric(array[0]))) {
				return false;
			} else if (array[1].length !== 2 || !($.isNumeric(array[1]))) {
				return false;
			} else if (array[2].length !== 4 || !($.isNumeric(array[2]))) {
				return false;
			}
		}
		return true;
	}, "Ung&uuml;ltiges Datumsformat");
	
	$.datepicker.setDefaults($.datepicker.regional[DatecBooking.currentLangCode]);
	
	DatecContact.validateFormFields();
	
	if ($('#tx-datec-booking-resources').length) {
		DatecBooking.listResources();
	}
});